Subject: Re: bug#32446: Configure-time requirement for gnutls is too old

From: Noam Postavsky <[email-masked]>
Date: Tue, 18 Sep 2018 09:14:46 -0400

On 18 September 2018 at 06:28, Eli Zaretskii <[email-masked]> wrote:

> This caused Emacs with GnuTLS 3.4.15 to crash in the test suite.  The
> problem is that the test suite avoids trying AEAD-capable ciphers when
> AEAD is unavailable, but one of the changes in the above made _all_
> ciphers look like not AEAD-capable.

Oh, you mean using an AEAD cipher with the non-AEAD codepath crashes?

> I fixed it by allowing gnutls_cipher_get_tag_size for versions above
> 3.2.2, as it should at least allow use to continue skipping
> AEAD-capable ciphers based on this assumption, and it shouldn't affect
> GnuTLS 2.x.

Right, makes sense.